Subject: Proposed liaison response to IEEE

From: "Adrian Farrel" <[email-masked]>
Date: Wed, 20 Sep 2006 20:37:49 +0100

All,

The IETF received an unsolicited liaison on the subject of 802.1 Ethernet

You can see the liaison at 
https://datatracker.ietf.org/documents/LIAISON/file358.pdf

The participants on the GELS mailing list have requested that we respond to 
this to clarify an issue.

Here is the draft of a liaison that we proposed to send. Please shout at 
once if you have any concerns with this liaison. I intend to ask Bert to 
send it on Monday of next week.

Thanks,
Adrian
===
Subject: Response to your liaison "Use of IEEE 802.1Q VLAN tags"

Date: Sep 2006
To: IEEE802.1
     Tony Jeffree, IEEE 802.1 WG Chair, [email-masked]

From: Bert Wijnen, IETF liaison to IETF liaison to IEEE 802.1
          Adrian Farrel, IETF CCAMP Working Group co-chair
          Deborah Brungard, IETF CCAMP Working Group co-chair

Cc: Bernard Aboba [email-masked]
       Ross Callon [email-masked]
       Bill Fenner [email-masked]
       CCAMP mailing list [email-masked]
       GELS mailing list  [email-masked]

Thank you for your very informative and clarifying liaison on "Use of
IEEE 802.1Q VLAN tags".

We have a question arising from this liaison and our reading of the
relevant standards documents as follows.

The liaison says: "Translation of 802.1Q S-VLAN tags (with 12 bit VIDs)
is supported at S-tagged service interfaces, as an option, by the IEEE
Std 802.1ad Provider Bridging amendment to IEEE Std 802.1Q."

While this text in itself is clear it leaves open the question of
whether "S-tagged Service interfaces" is the only type of interface
where Translation of 802.1Q S-VLAN tags is supported.

It is our understanding that IEEE Std 802.1ad does not preclude the
translation of 802.1Q S-VLAN tags at any S-tagged interface. Thus, this
translation would be allowed at Provider Network Ports, not just at
Customer Network Ports.

Can you please confirm whether this is the correct interpretation of the
IEEE Std 802.1ad amendment to the IEEE Std 802.1Q?

Many thanks,

Bert Wijnen, IETF liaison to IEEE 802.1
Adrian Farrel and Deborah Brungard, CCAMP Working Group co-chairs

---

From: "Don Fedyk" <[email-masked]>
Date: Wed, 20 Sep 2006 17:15:44 -0400

Hi Adrian

The Liaison looks good however it does not capture a comment I made.   

My understanding of the S-VLAN translation in IEEE documents and the
liaison is that the translation is valid in the context of forwarding
based on a destination MAC. My interpretation is that V-LAN is optional
MAC is not. If I am correct VLAN translation as specified is not equal
to Label switching. The Liaison is clear about not just the format of
'packets on the wire' but the relationship to the entities such as MAC
relay as well.  

I think we should also ask in our liaison for clarification if the
S-VLAN translation can be valid by itself i.e. as a label agnostic to
the MAC so there is no confusion.

Thanks,
Don

> -----Original Message-----
> From: [email-masked] 
> All,
> 
> The participants on the GELS mailing list have requested that 
> we respond to this to clarify an issue.
> 
> Here is the draft of a liaison that we proposed to send. 
> Please shout at once if you have any concerns with this 
> liaison. I intend to ask Bert to send it on Monday of next week.
> 
> Thanks,
> Adrian
> ===
> Thank you for your very informative and clarifying liaison on 
> "Use of IEEE 802.1Q VLAN tags".
> 
> We have a question arising from this liaison and our reading 
> of the relevant standards documents as follows.
> 
> The liaison says: "Translation of 802.1Q S-VLAN tags (with 12 
> bit VIDs) is supported at S-tagged service interfaces, as an 
> option, by the IEEE Std 802.1ad Provider Bridging amendment 
> to IEEE Std 802.1Q."
> 
> While this text in itself is clear it leaves open the 
> question of whether "S-tagged Service interfaces" is the only 
> type of interface where Translation of 802.1Q S-VLAN tags is 
> supported.
> 
> It is our understanding that IEEE Std 802.1ad does not 
> preclude the translation of 802.1Q S-VLAN tags at any 
> S-tagged interface. Thus, this translation would be allowed 
> at Provider Network Ports, not just at Customer Network Ports.
> 
> Can you please confirm whether this is the correct 
> interpretation of the IEEE Std 802.1ad amendment to the IEEE 
> Std 802.1Q?
> 
> Many thanks,
>